/*
 *  Copyright (C) 2008  Thadeu Lima de Souza Cascardo <cascardo@holoscopio.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */


#define _GNU_SOURCE
#include <stdio.h>
#include <stdlib.h>
#include <udns.h>
#include <unistd.h>
#include <string.h>
#include "tcp_connect.h"
#include "iksemel_extra.h"
#include "xmpp.h"
#include "disco.h"

static void
loop (hc_xmpp_t *xmpp)
{
  while (1)
    hc_xmpp_read_and_parse (xmpp);
}

int
main (int argc, char **argv)
{
  char *server;
  char *user;
  char *password;
  hc_xmpp_t *xmpp;
  if (argc < 4)
    {
      printf ("tictactoe server user password\n");
      return 1;
    }
  server = argv[1];
  user = argv[2];
  password = argv[3];
  dns_init (NULL, 1);
  xmpp = hc_xmpp_new (hc_xmpp_hook, server, user, password);
  hc_xmpp_send_stream (xmpp);
  loop (xmpp);
  return 0;
}
